%global goipath    github.com/mikefarah/yq
Version:           4.20.2

%gometa

%global common_description %{expand:
Lightweight and portable command-line YAML, JSON and XML processor. yq 
uses jq like syntax but works with yaml files as well as json and xml. 
It doesn't yet support everything jq does - but it does support the 
most common operations and functions, and more is being added 
continuously.}

%global golicenses LICENSE
%global godocs     *.md

%global godevelheader %{expand:
Requires:  %{name} = %{version}-%{release}
}

Name:          yq
Release:       1%{?dist}
Summary:       Portable command-line YAML, JSON and XML processor
License:       MIT
URL:           %{gourl}
Source0:       %{gosource}

BuildRequires: golang(github.com/a8m/envsubst)
BuildRequires: golang(github.com/elliotchance/orderedmap)
BuildRequires: golang(github.com/fatih/color)
BuildRequires: golang(github.com/goccy/go-yaml)
BuildRequires: golang(github.com/jinzhu/copier)
BuildRequires: golang(github.com/magiconair/properties)
BuildRequires: golang(github.com/spf13/cobra)
BuildRequires: golang(github.com/timtadh/lexmachine)
BuildRequires: golang(golang.org/x/net/html)
BuildRequires: golang(gopkg.in/op/go-logging.v1)
BuildRequires: golang(gopkg.in/yaml.v3)
BuildRequires: golang(github.com/pkg/diff)

%description
%{common_description}

%gopkg

%prep
%goprep

%build
%gobuild -o %{gobuilddir}/bin/yq %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%check
%gocheck

%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/%{name}

%gopkgfiles

%changelog
* Tue Feb 22 2022 Julien Rische <jrische@redhat.com> - 4.20.2-1
- Initial package release
